<div class="wrapper">
  <app-preloader *ngIf="preloader"></app-preloader>
  <app-header></app-header>
  <app-sidebar [modulo]="modulo"></app-sidebar>

  <div class="content-wrapper">
    <app-content-header [headers]="headers"></app-content-header>

    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-12">
            <div class="card">
              <div class="card-header">
                <div class="text-left">
                  <h3 class="card-title">Lista de Heroes</h3>
                </div>
                <div class="text-right">
                  <a routerLink="/heroes/create" routerLinkActive="active" class="btn btn-primary"><i class="fas fa-plus-circle"></i></a>
                </div>
              </div>
              <div class="card-body">
                <div class="container-fluid">
                  <div *ngIf="!heroes">
                    <h3 class="text-center">Sin contenido para mostrar</h3>
                  </div>
                  <div *ngIf="heroes" class="table-responsive">
                    <table datatable class="table table-striped table-bordered hover">
                      <thead>
                        <tr>
                          <th>Nombre</th>
                          <th>Alias</th>
                          <th>Especialidad</th>
                          <th>Genero</th>
                          <th>Ocupación</th>
                          <th>Opciones</th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr *ngFor="let heroe of heroes">
                          <td>{{heroe.nombre}}</td>
                          <td>{{heroe.alias}}</td>
                          <td>{{heroe.especialidad}}</td>
                          <td>{{heroe.genero}}</td>
                          <td>{{heroe.ocupacion}}</td>
                          <td>
                            <div class="btn-group" role="group">
                              <a [routerLink]="['/heroes', heroe.codigo]" class="btn text-primary text-decoration-none"><i class="fas fa-eye"></i></a>
                              <a [routerLink]="['/heroes', heroe.codigo, 'edit']" class="btn text-secondary text-decoration-none"><i class="fas fa-edit"></i></a>
                              <swal #deleteSwal title="Deseas eliminar a {{ heroe.nombre }}?" text="Esto no se podra revertir" icon="question" [showCancelButton]="true"
                                [focusCancel]="true" (confirm)="eliminarHeroe(heroe.codigo)">
                              </swal>
                              <button [swal]="deleteSwal" type="button" class="btn text-danger"><i class="fas fa-trash-alt"></i></button>
                            </div>
                          </td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
  </div>

  <app-footer></app-footer>
</div>
